## ros-dashing-kdl-parser 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(kdl_parser)

find_package(ament_cmake_ros REQUIRED)
find_package(orocos_kdl REQUIRED)
find_package(tinyxml_vendor REQUIRED)
find_package(TinyXML REQUIRED)
find_package(urdf REQUIRED)
find_package(urdfdom_headers REQUIRED)

include_directories(
  include
  ${orocos_kdl_INCLUDE_DIRS}
  ${urdf_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  ${TinyXML_INCLUDE_DIRS})

link_directories(
  ${orocos_kdl_LIBRARY_DIRS}
  ${urdf_LIBRARY_DIRS})

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

add_library(
  ${PROJECT_NAME}
  src/kdl_parser.cpp)
target_link_libraries(
  ${PROJECT_NAME}
  ${TinyXML_LIBRARIES}
  ${orocos_kdl_LIBRARIES}
  ${urdf_LIBRARIES})

if(WIN32)
  target_compile_definitions(${PROJECT_NAME} PRIVATE "KDL_PARSER_BUILDING_DLL")
endif()

install(
  TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # TODO(clalancette): we have to disable copyright checking until
  # https://github.com/ament/ament_lint/issues/75 is resolved.
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(orocos_kdl)
ament_export_dependencies(urdfdom_headers)
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-dashing-kdl-parser (2.2.1-1bionic) bionic; urgency=high

  * Remove unused find_library call (#41 <https://github.com/ros/kdl_parser/issues/41>)
  * Contributors: Michael Carroll

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 21 Jul 2020 05:00:00 -0000

ros-dashing-kdl-parser (2.2.0-1bionic) bionic; urgency=high

  * Fix up missing link tags in some XML files. (#15 <https://github.com/ros2/kdl_parser/issues/15>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 20 Nov 2018 06:00:00 -0000

ros-dashing-kdl-parser (2.1.0-1bionic) bionic; urgency=high

  * point to the source and bugtracker used in ros2 (#3 <https://github.com/ros2/kdl_parser/issues/3>)
  * Contributors: Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 26 Jun 2018 05:00:00 -0000

ros-dashing-kdl-parser (1.12.10-1bionic) bionic; urgency=high

  * Use result of find_package(orocos_kdl) properly (#200 <https://github.com/ros/robot_model/issues/200>)
    orocos_kdl_LIBRARY_DIRS was not set

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 17 May 2017 05:00:00 -0000

ros-dashing-kdl-parser (1.12.9-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 05:00:00 -0000

ros-dashing-kdl-parser (1.12.8-1bionic) bionic; urgency=high

  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-dashing-kdl-parser (1.12.7-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 06:00:00 -0000

ros-dashing-kdl-parser (1.12.6-1bionic) bionic; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 06:00:00 -0000

ros-dashing-kdl-parser (1.12.5-1bionic) bionic; urgency=high

  * fix segfault: safely handle empty robot model (#154 <https://github.com/ros/robot_model/issues/154>)
  * Contributors: Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 05:00:00 -0000

ros-dashing-kdl-parser (1.12.4-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 05:00:00 -0000

ros-dashing-kdl-parser (1.12.3-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 05:00:00 -0000

ros-dashing-kdl-parser (1.12.2-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 05:00:00 -0000

ros-dashing-kdl-parser (1.12.1-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 05:00:00 -0000

ros-dashing-kdl-parser (1.11.8-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 05:00:00 -0000

ros-dashing-kdl-parser (1.11.7-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 05:00:00 -0000

ros-dashing-kdl-parser (1.11.6-1bionic) bionic; urgency=high

  * add version dependency on orocos_kdl >= 1.3.0
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 06:00:00 -0000

ros-dashing-kdl-parser (1.11.5-1bionic) bionic; urgency=high

  * Update KDL SegmentMap interface to optionally use shared pointers
    The KDL Tree API optionally uses shared pointers on platforms where
    the STL containers don't support incomplete types.
  * Contributors: Brian Jensen

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 05:00:00 -0000

ros-dashing-kdl-parser (1.11.4-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 05:00:00 -0000

ros-dashing-kdl-parser (1.11.3-1bionic) bionic; urgency=high

  * kdl_parser: Adding kdl library explicitly so that dependees can find it
  * Contributors: Jonathan Bohren

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 05:00:00 -0000

ros-dashing-kdl-parser (1.11.2-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 05:00:00 -0000

ros-dashing-kdl-parser (1.11.1-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 05:00:00 -0000

ros-dashing-kdl-parser (1.11.0-1bionic) bionic; urgency=high

  * fix test at kdl_parser
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 06:00:00 -0000

ros-dashing-kdl-parser (1.10.18-1bionic) bionic; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 06:00:00 -0000

ros-dashing-kdl-parser (1.10.16-1bionic) bionic; urgency=high

  * check for CATKIN_ENABLE_TESTING

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 18 Nov 2013 06:00:00 -0000

ros-dashing-kdl-parser (1.10.15-1bionic) bionic; urgency=high

  * fix #30 <https://github.com/ros/robot_model/issues/30>

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 17 Aug 2013 05:00:00 -0000

=== debian/control ===
Source: ros-dashing-kdl-parser
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-orocos-kdl (>= 1.3.0), ros-dashing-tinyxml-vendor, ros-dashing-urdf, ros-dashing-urdfdom-headers, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-kdl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-dashing-orocos-kdl (>= 1.3.0), ros-dashing-tinyxml-vendor, ros-dashing-urdf, ros-dashing-urdfdom-headers, ros-dashing-ros-workspace
Description: The Kinematics and Dynamics Library (KDL) defines a tree structure to represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot representation in URDF.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-kdl-parser//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
